iPhone How to unlock iphone 3GS with 5.0.1 and base 05.16.05

Discussion in 'Jailbreaks and iOS Hacks' started by graftmaster, Mar 2, 2012.

  1. graftmaster macrumors newbie

    Joined:
    Mar 2, 2012
    #1
    Guys,

    Please help me solve this. Long story short- I am stuck with a 3GS ,ios 5.0.1 jailbroken but locked. However it has a base of 05.16.05 and Ive been reading I cannot unlock it without crashing my GPS. Now GPS is really important for me and I would not want to loose it at any cost.

    Please let me know any way , any which way possible to unlock my phone without loosing GPS
     
  2. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    Nope.
    Sell it and get a factory unlocked iphone.
     
  3. graftmaster thread starter macrumors newbie

    Joined:
    Mar 2, 2012
    #4
    Thanks for your replies. Can I buy a locked phone and try to unlock it? As that will be cheaper , however the risk is again that I will not knower base of the phone ?oh lord
     
  4. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #5
    You'll have to buy a 3GS that has a baseband of 5.13.xx or lower.
     
  5. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #6
    Yep, buy an FUL iPhone
     
  6. graftmaster thread starter macrumors newbie

    Joined:
    Mar 2, 2012
    #7
    this other option?

    I appreciate your replies guys. I just need this little help more if you will.
    This 3gs with me was bought in 2009 on att and then later jailbroken and unlocked. Now this year (on t mobile )it was accidently upgraded and then got locked again. I did however jailbroke it but now it cannot be unlocked, so tmobile does not work.
    Do you think I can maybe go back to att and then will att sim work on this now?

    Thanks y'all for your help .
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #8
    Yes, if its locked to AT&T any AT&T sim will work with it.
    But it will not work with Tmobile.
    Unless you install the Ipad BB to unlock but then you will lose your GPS use.
    Up to you.
    You know there's plenty of prepaid carriers in the US that have cheap prices and use AT&T's network so you wont need to unlock an AT&T iphone to use it.
    Redpocked, H20, straight talk and many others will work with an AT&T iphone without needing to unlock it or install the ipad baseband and ruin the phone's GPS.
     
  8. graftmaster, Mar 6, 2012
    Last edited: Mar 6, 2012

    graftmaster thread starter macrumors newbie

    Joined:
    Mar 2, 2012
    #9
    Thanks for your replies . I have now bought a H2O sim and put it in my iphone . However it does not show up the network . Actually the tab network is absent from the settings section. I think Im missing something here. Should I rerun ultrasnow or something else like restoring? Please help me in this, will be great for me
     
  9. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #10
    Apple hides those settings
    You need to buy "tetherme" from Cydia to expose those APN settings
     
  10. yuer, Mar 17, 2012
    Last edited: Mar 17, 2012

    yuer macrumors newbie

    Joined:
    Mar 16, 2012
    #11
    I have the same case. I have a iphone 3GS which was accidently upgrade to ios 5.0 and BB 5.16.05. When I am trying to unlock it, I read all the instruction and there is only way to upgrade it to BB 6.15.00 with GPS lost.

    Now it's very weird. I jailbreak it to ios 4.1 and BB 6.15.00, my iphone still has location function. not sure whether this is GPS. But now it can locate my current location on map. It is the same function as before unlock. Now I transfer my carrier to T-mobile. It's not good that under T-mobile it only supports EDGE speed.

    I tried to jailbreak it to ios 5.1 with BB 6.15.00. Unlock is OK but no GPS. I can't use location button on map. I don't know why GPS works in ios 4.1 with BB 6.15.00 but not ios 5.1.




     
  11. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #12
    Your phone has cell tower triangulation
    Get a free GPS app from the AppStore, it will fail.
     
  12. graftmaster thread starter macrumors newbie

    Joined:
    Mar 2, 2012
    #13
    HI,

    I'm bumping this thread one more time. I've been using my phone with H20(which was an excellent advise) , so I didn't have to loose my GPS function(and I wanted to keep it for sure). However since after 3 months I will be moving out of US to France, I wanted to ask the experts here, is there any way found forward to jailbreak with phone without loosing GPS?

    If there is no alternative, I will be selling this phone and would buy another cheap alternative from ebay

    Thanks all
     
  13. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #14
    You mean you want to unlock the iphone? Jailbreaking doesnt = unlock to use it on any French carrier for example.
    There is available options now on ebay and other sites that IMEI sim unlock your device for a fee.
    Anywhere for $30 to $100 etc...
    This way you wont need the ipad bb and your phone will be forever unlocked.
     
  14. graftmaster thread starter macrumors newbie

    Joined:
    Mar 2, 2012
    #15
    Wow, Thanks Applejuiced, Your advise has always been so much helpful.

    And sorry I meant unlock and not jailbreak. Please can you tell me more about this Imei option- How do I search on ebay - should I just search for IMEI sim unlock? will they send me a sim which I can put in phone and have it unlocked? And just so Im clear this will work on my iphone which has the
    base 05.16.05 as I accidently did not preserve its bandwidth while jailbreaking / unlocking , sos the unlock etc did not work.
    Thanks so much again
     
  15. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #16
    Yes search for iPhone imei unlock.
    All you do is pay them and give them your iPhones imei number.
    Then a few days later your iPhone is factory unlocked and can accept any gsm sim.
    That's all.
     
  16. luisadastwin macrumors regular

    luisadastwin

    Joined:
    Oct 9, 2010
    Location:
    Antas - Porto - Portugal - Europe
    #17
    Many people claim that the newer iOS stop the GPS from working any further in 3GS iPhones, mainly due to the BASEBAND version.

    So, you could try to downgrade BASEBAND to an older version (05.13.04) using redsn0w in the latest version available (Version 0.9.15b3).

    You might want to check my story on this:

    http://forums.macrumors.com/showthread.php?t=1498532
     
  17. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #18
    GPS is only not working on 06.15.0 iPad BB

    for the rest it works fine
     
  18. luisadastwin macrumors regular

    luisadastwin

    Joined:
    Oct 9, 2010
    Location:
    Antas - Porto - Portugal - Europe
    #19
    Hello TriJetHero,

    Thanks for the input! :)

    But, why is it that the Dev-Team (in Redsn0w) advises to downgrade BB to 05.13.04 version and not any other BB?

    For the 3GS iPhone, the 05.13.04 BB came out with iOS4.0...
    In iOS 4.3.5, you had 05.16.02 BB... and in iOS 5.1.1, the BB is 05.16.05...

    So why does the Dev-Team tells us to downgrade to 05.13.04 and not any other BB before iPad BB (06.15.0)?


    Thank you!!!

    Luis
     
  19. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #20
    I think the only version you can downgrade the 3GS bb is 05.13.04 with redsnow.
    I dont think it downgrades to any other versions besides that.
     
  20. luisadastwin macrumors regular

    luisadastwin

    Joined:
    Oct 9, 2010
    Location:
    Antas - Porto - Portugal - Europe
    #21
    Yes,

    I know that Redsn0w just downgrades to 05.13.04, but why did they chose that version of the BB?

    Why didn't the Dev-Team choose any other BB (a newer one for example) if the problem was ONLY with the 06.15.0 BB?
     
  21. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #22
    because that is the highest one that can be unlocked by ultrasn0w
     
  22. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #23
    Not sure why they picked that one.
    Its the latest/newest unlockable baseband version to work with ultrasnow. Any newer version baseband wouldnt unlock with ultrasnow.
    These are the basebands eligible for unlock with ultrasnow on a 3G and 3GS:
    •04.26.08
    •05.11.07
    •05.12.01
    •05.13.04
    •06.15.00
     
  23. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #24
    It is an AT&T phone
    Cost for IMEI unlock --> about $3 or so

    Excuse me for not understanding why thread starter would not spend $3 for a permanent unlock solution.
     
  24. luisadastwin macrumors regular

    luisadastwin

    Joined:
    Oct 9, 2010
    Location:
    Antas - Porto - Portugal - Europe
    #25
    I finally understood it!
    Because it's the latest eligible for unlock with ultrasnow!

    Thanks!!!

    But, in my case, I don't need to unlock my iPhone! How can I upgrade ONLY the BaseBand to a newer one besides iPad BaseBand?

    Thanks again!
     

Share This Page